package com.fr.plugin.entitys;

import com.fr.stable.db.entity.BaseEntity;
import com.fr.stable.db.entity.TableAssociation;
import com.fr.third.javax.persistence.Column;
import com.fr.third.javax.persistence.Entity;
import com.fr.third.javax.persistence.Table;

@Entity
@Table(
        name = "fine_access_log"
)
@TableAssociation(
        associated = true
)
public class AccessLogEntity extends BaseEntity   {
    @Column(name = "userName")
    private String userName = "";
    @Column(name = "macAddr")
    private String macAddr = "";
    @Column(name = "deviceName")
    private String deviceName = "";
    @Column(name = "createTime")
    private String time = "";

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getMacAddr() {
        return macAddr;
    }

    public void setMacAddr(String macAddr) {
        this.macAddr = macAddr;
    }



    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }
}
